#include <iostream>
#include<string>
using namespace std;

int main()
{
    string T,rec;
    int duzina,i,j,b1=0,b2=0,minduz=0;
    cin>>T;
    duzina=T.length();
    bool palindrom=true;
    for(i=0; i<duzina/2; i++)
    {
        if(T[i]!=T[duzina-i-1])
        {
            palindrom=false;
        }
    }
    rec=T;
    for(i=0; i<=duzina; i++)
    {
        if(rec[i]=='b')
        {b1=i;
        }
        if(rec[i]=='b' && i!=b1)
        {
            b2=i;
        }
    }
    minduz=duzina-(b2+b1);
    if(palindrom==true)
    {cout<<1;}
    else    
    {cout<<minduz-1;}
    return 0;
}